# Copyright (C) 2011 Astaro GmbH & Co. KG
# For copyright information look at
# http://www.astaro.com/doc/astaro-license.txt
#
# Maintainer: Ulrich Weber <uweber@astaro.com>
#

Name:		ipv6-hurricane
URL:		http://www.astaro.com
License:	Astaro
Group:		Networking/Tunnels
Summary:	IPv6 Tunnel Broker Client Hurricane Electric

Provides:	%{_gitprovides}
Version:	%{_epversion}
Release:	%{_gitrelease}
Source:		%{name}.git.tar.gz
Source99:	gitinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%PDKBuildRequires
%PDKRequires

%description
IPv6 Tunnel Broker Client Hurricane Electric

%prep
%setup -n %{name}

%build
%_perlapp %_perlapp_opts hurricane.pl --exe hurricane.bin

%install
install -D hurricane.bin $RPM_BUILD_ROOT/usr/local/bin/ipv6-hurricane
install -D ipv6-hurricane.check $RPM_BUILD_ROOT/etc/selfmonng.d/ipv6-hurricane.check
install -D ipv6-hurricane $RPM_BUILD_ROOT/var/mdw/scripts/ipv6-hurricane

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
/usr/local/bin/ipv6-hurricane
/var/mdw/scripts/ipv6-hurricane
%defattr(644,root,root)
/etc/selfmonng.d/ipv6-hurricane.check

%changelog
